Package com.google.android.exoplayer2.util

## Class NalUnitUtil.PpsData

- java.lang.Object
- - com.google.android.exoplayer2.util.NalUnitUtil.PpsData

- Enclosing class:
    NalUnitUtil

      public static final class NalUnitUtil.PpsData
      extends Object

  Holds data parsed from a picture parameter set NAL unit.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `bottomFieldPicOrderInFramePresentFlag` |
    `int` | `picParameterSetId` |
    `int` | `seqParameterSetId` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PpsData​(int picParameterSetId, int seqParameterSetId, boolean bottomFieldPicOrderInFramePresentFlag)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### picParameterSetId

          public final int picParameterSetId

    - #### seqParameterSetId

          public final int seqParameterSetId

    - #### bottomFieldPicOrderInFramePresentFlag

          public final boolean bottomFieldPicOrderInFramePresentFlag

  - ### Constructor Detail

    - #### PpsData

          public PpsData​(int picParameterSetId,
                         int seqParameterSetId,
                         boolean bottomFieldPicOrderInFramePresentFlag)